# Line of Credit Draws

This object represents a draw. Draws can be made on Line of Credit loans only. Draws can be amortized
or non-amortized. If amortized, the draw will be amortized over the selected number of periods and aligned to the Line of
Credit due dates. If non-amortized, the draw is due on a due date following the current period statement creation.
A draw can have different interest and promo rates from the Line of Credit. Each draw has a unique identifier, similar to a loan.

 - [POST /people/{personId}/loans/{loanId}/amortize-preview](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.preview_draw_amortize.md): This endpoint is used for previewing draw amortization. The draw must have non-due principal to be amortized. Note: - If the loan type is configured to accrue interest as `accrualMethod=compoundWithFe
 - [GET /people/{personId}/loans/{loanId}/draws](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.loan_draws_get.md)
 - [POST /people/{personId}/loans/{loanId}/draws](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.loan_draws_post.md)
 - [GET /people/{personId}/loans/{loanId}/draws/{drawId}](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.loan_draw_get.md)
 - [PUT /people/{personId}/loans/{loanId}/draws/{drawId}](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.draw_update.md)
 - [POST /people/{personId}/loans/{loanId}/draws/{drawId}/activate](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.draw_activate.md)
 - [POST /people/{personId}/loans/{loanId}/draws/{drawId}/amortize](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.loan_draw_amortize.md): This endpoint is used for draw amortization. The draw must have non-due principal to be reamortized. Note: - If the loan type is configured to accrue interest as `accrualMethod=compoundWithFees`, ther
 - [POST /people/{personId}/loans/{loanId}/draws/{drawId}/cancel](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.draw_cancel.md): The cancel loan endpoint will change the status of a draw to `canceled`, and trigger any cancellation-related logic. An active draw can be canceled if it has no active purchases.
 - [POST /people/{personId}/loans/{loanId}/draws/{drawId}/close](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.draw_close.md): Closing a draw means that the draw can no longer accept new purchases. The draw will automatically transition to `paidOff` status once all of the following conditions are met: - The draw has no outsta
 - [GET /people/{personId}/loans/{loanId}/draws/{drawId}/credit-limit](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.draw_get_credit_limit.md)
 - [POST /people/{personId}/loans/{loanId}/draws/{drawId}/credit-limit](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.draw_update_credit_limit.md)
 - [PUT /people/{personId}/loans/{loanId}/draws/{drawId}/dynamic-fees](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.fees.handlers.draw_dynamic_fees_at_origination_update.md): Allows lenders to add or remove dynamic fees from a draw going forward. This does not affect balances or fees in the past.
 - [POST /people/{personId}/loans/{loanId}/draws/{drawId}/min-payment-calculation](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.draw_min_payment_calculation_post.md)
 - [POST /people/{personId}/loans/{loanId}/draws/{drawId}/reopen](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.draw_reopen.md): Reopen a closed draw. This will allow new purchases to be added to the draw. By default, a draw in `paidOff` status cannot be reopened. Set `force` to `true` to reopen a `paidOff` draw (e.g. for a pos
